/*
 * FallbackCellIDProvider.h
 *
 *  Created on: 1 Jul 2010
 *      Author: orac7
 */

#ifndef FALLBACKCELLIDPROVIDER_H_
#define FALLBACKCELLIDPROVIDER_H_

//This is the Cell ID provider to use if the device doesn't have its own version.
//This may still return null values.

#include "CellIDProvider.h"

class FallbackCellIDProvider : public CellIDProvider
{
	public:
		int getCellInfo(MACellInfo* cellinfo);
};

#endif /* FALLBACKCELLIDPROVIDER_H_ */
