/* Copyright (C) 2010 MoSync AB

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License, version 2, as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA.
*/

#ifndef ILOGGER_H_
#define ILOGGER_H_

#include "Levels.h"
#include "LogEntry.h"
#include <MAarg.h>

namespace Log4MoSync
{
	class ILogger
	{
		public:
			virtual void addLog(String& message, LoggingLevel level = Log4MoSync::TRACE) = 0;
			virtual void addLog(const char* messages, ...) = 0;
			virtual void moveFirst() = 0;
			virtual LogEntry* getNextLog() = 0;
	};
};

#endif /* ILOGGER_H_ */
